import sqlite3 as db
import sys


def setup():
    con = None
    try:
        con = db.connect('boerse.db')

        cur = con.cursor()

        # Database setup
        print('Database setup...')
        cur.execute('''
                    CREATE TABLE IF NOT EXISTS users(
                        username VARCHAR(10) UNIQUE NOT NULL, 
                        password VARCHAR(6) NOT NULL)
                    '''
                    )
        cur.execute('''
                    CREATE TABLE IF NOT EXISTS stocks(
                        name VARCHAR(10) UNIQUE NOT NULL, 
                        total_available INTEGER NOT NULL)
                    '''
                    )
        cur.execute('''
                    CREATE TABLE IF NOT EXISTS ownership(
                        user_id INTEGER NOT NULL,
                        amount INTEGER NOT NULL DEFAULT 0,
                        FOREIGN KEY (user_id) REFERENCES users(rowid)
                    )
                    '''
                    )

    except db.Error as e:
        print("Database error %s:" % e.args[0])
        sys.exit(1)

    finally:
        if con is not None:
            con.close()